"There was a problem loading the requested app" after detaching


#1

Hi guys,

I’ve hit a wall in trying to get my React Native app to run in the iOS simulator after detaching. This is how I got there:

  • Upgraded to expo sdk v26, reinstalled node_modules etc. At this point, running the app in XDE works fine, so I’m confident everything is OK here.
  • I detach using exp detach
  • I restart XDE
  • I edit the Podfile to use the ios/2.4.8 branch, due to this issue, and then pod install
  • I open the xcworkspace in XCode and build it. The build succeeds, the simulator opens, my app launches… and then this is where I hit a problem.

All I get is “There was a problem loading the requested app”. It says to be sure I’m serving the app from XDE or exp - but I’m pretty sure I am doing that (see screenshot - the same happens if I use exp start too). The scheme it’s showing on the error screen matches the one shown in XDE, and also matches the values I see in EXBuildConstants.json.

I wondered if something in my JS might be causing it (though this was a last resort, since XDE apparently isn’t even serving my JS bundle), so I removed all of my JS except for App.js - essentially taking it back to what CRNA would generate. Still no luck.

Does anyone have any suggestions at all? I’ve spent the past couple of days battling through various errors and roadblocks to get to this stage, but now I’m truly stumped.

Thanks for any help!


#2

@rikkitissier9d I was experiencing similar issues. I don’t know if this will fix it for you, but I had neglected to update the detachedNativeVersions version numbers in EXSDKVersions.plist from 25 => 26 after upgrading. After I did so, things worked much better. Hope this helps.


closed #3

This topic was automatically closed 15 days after the last reply. New replies are no longer allowed.